{%- set relative_path = "../../" %}
{%- include "header.html" %}
{%- include "menu.html" %}
<div class="container version-menu">
    <img src="../../assets/chars/{{ char_img }}.png" class="char-img" alt="{{ char }}"/>
    <div class="row">
        <div class="col-md-6">

    <h1>{{ char }}</h1>
        <dl class="dl-horizontal">
    {%- macro bch_dt_dd(key, label) %}
        {%- if key in bch %}
            {%- set diff = bch_diff[key]|default({}) %}
        <dt class="{{ diff[0] }}">{{ label|default(key) }}</dt>
        <dd><span{% if diff[0] == "changed" %} data-toggle='tooltip' data-placement='top' title="was {{ caller(diff[1]['old_value']) }}"{% endif %}>{{ caller(bch[key]) }}</span></dd>
        {%- endif %}
    {%- endmacro %}
            {%- call(v) bch_dt_dd("Life") %}{{ v }}{% endcall %}
            {%- call(v) bch_dt_dd("Stun") %}{{ v }}{% endcall %}
            {%- call(v) bch_dt_dd("VGauge") %}{{ v//300 }} bars{% endcall %}
            {%- call(v) bch_dt_dd("VTrigger") %}{{ v }}{% endcall %}
            {%- call(v) bch_dt_dd("VGauge2") %}{{ v//300 }} bars{% endcall %}
            {%- call(v) bch_dt_dd("VTrigger2") %}{{ v }}{% endcall %}
        </dl>
        </div>
    </div>
    <h2>Move Descriptions</h2>
    <div class="row listing">
{%- set input_map = {"DOWN": "dir_d", "FORWARD": "dir_f", "BACK": "dir_b", "UP": "dir_u", "LP": "lp", "MP": "mp", "HP": "hp", "LK": "lk", "MK": "mk", "HK": "hk"} %}
{%- macro direction_display(input, suffix) %}
    {%- if "DOWN" in input and "FORWARD" in input -%}
        <img src="../../assets/dir_df{{suffix}}.png" alt="df" />
    {%- elif "DOWN" in input and "BACK" in input -%}
        <img src="../../assets/dir_db{{suffix}}.png" alt="bf" />
    {%- elif "UP" in input and "FORWARD" in input -%}
        <img src="../../assets/dir_uf{{suffix}}.png" alt="uf" />
    {%- elif "UP" in input and "BACK" in input -%}
        <img src="../../assets/dir_ub{{suffix}}.png" alt="ub" />
    {%- elif "FORWARD" in input and "BACK" in input -%}
        <img src="../../assets/dir_b{{suffix}}.png" alt="b" />/<img src="../../assets/dir_f{{suffix}}.png" alt="f" />
    {%- else %}
        {%- for i in input -%}
            {%- if i != "NEUTRAL" -%}
            <img src="../../assets/{{ input_map[i] }}{{suffix}}.png" alt="{{ input_map[i] }}" />
            {%- endif %}
        {%- endfor %}
    {%- endif %}
{%- endmacro %}
{%- macro button_display(input, button, suffix) %}
    {%- if input == ["LP", "MP", "HP"] -%}
        {%- if button == "All" -%}
            <img src="../../assets/3p{{suffix}}.png" alt="3p" />
        {%- elif button == "Two" -%}
            <img src="../../assets/p{{suffix}}.png" alt="p" /><img src="../../assets/ex.png" alt="ex" />
        {%- else -%}
            <img src="../../assets/p{{suffix}}.png" alt="p" />
        {%- endif -%}
    {%- elif input == ["LK", "MK", "HK"] -%}
        {%- if button == "All" -%}
            <img src="../../assets/3k{{suffix}}.png" alt="3k" />
        {%- elif button == "Two" -%}
            <img src="../../assets/k{{suffix}}.png" alt="k" /><img src="../../assets/ex.png" alt="ex" />
        {%- else -%}
            <img src="../../assets/k{{suffix}}.png" alt="k" />
        {%- endif -%}
    {%- elif input == ["LP", "MP", "HP", "LK", "MK", "HK"] -%}
        {%- if button == "All" -%}
            <img src="../../assets/3p{{suffix}}.png" alt="3p" /><img src="../../assets/3k{{suffix}}.png" alt="3k" />
        {%- elif button == "Two" -%}
            <img src="../../assets/p{{suffix}}.png" alt="p" />/<img src="../../assets/k{{suffix}}.png" alt="k" /><img src="../../assets/ex.png" alt="ex" />
        {%- else -%}
            <img src="../../assets/p{{suffix}}.png" alt="p" />/<img src="../../assets/k{{suffix}}.png" alt="k" />
        {%- endif -%}
    {%- else -%}
    {%- for i in input -%}
        {%- if i != "NEUTRAL" -%}
        <img src="../../assets/{{ input_map[i] }}{{suffix}}.png" alt="{{ input_map[i] }}" />
        {%- endif %}
    {%- endfor %}
    {%- endif %}
{%- endmacro %}
{%- macro input_display(input, button, charge) -%}
    {{ direction_display(input|directions, "_c" if charge else "") }}{{ button_display(input|removedirections, button, "_c" if charge else "") }}
{%- endmacro %}
{%- for s in moves -%}
        <a href="{{ s[2] }}" {%- if s[1] %} class="{{ s[1][0] }}"{% endif %}>
            <b>{{ s[0]["Name"] }}</b>
                {%- set input = s[0]["InputMatch"] %}
                <div class="input">
                    {%- if "MotionIndex" in input %}
                    {%- for el in motions[input["MotionIndex"]] %}
                        {%- if el["Type"] == "Normal" or el["Type"] == "Impulse" -%}
                        <span class="motion-input">{{input_display(el["InputMatch"]["Input"], el["InputMatch"]["Button"]|default("Any"), False)}}</span>
                        {%- if "Edge" in el["InputMatch"] %}<span class="motion-edge">Edge: {{el["InputMatch"]["Edge"]|join(", ")}}</span>{% endif -%}
                        {%- elif el["Type"] == "360" -%}
                            <img src="../../assets/360.png" alt="360" />
                        {%- elif el["Type"] == "720" -%}
                            <img src="../../assets/360.png" alt="360" /><img src="../../assets/360.png" alt="360" />
                        {%- elif el["Type"] == "Charge" -%}
                            {%- set el = charges[el["ChargeIndex"]] -%}
                        <span class="motion-input">{{input_display(el["InputMatch"]["Input"], el["InputMatch"]["Button"]|default("Any"), True)}}</span>
                        {%- if "Edge" in el and (el["Edge"]|join(", ")) == "Negative" %}<span class="motion-edge">[neg]</span>{% endif %}
                        {%- else %}
                            Unknown
                        {%- endif %}
                    {%- endfor %}
                    {%- endif -%}
                    {{ input_display(input["Input"], input["Button"]|default("Any"), False) }}
        {%- if "Edge" in input and (input["Edge"]|join(", ")) == "Negative" %}<span class="motion-edge">[neg]</span>{% endif %}
                </div>

        </a>{%- endfor %}
    </div>
{%- macro scripts_range(lst, he, title=None) %}
    {%- if title %}<h3>{{ title }}</h3>{% endif %}
    <div class="row listing">
{%- for s in lst %}{%- if s %}<a href="{{ s[2] }}" {%- if s[1] %} class="{{ s[1] }}"{% endif %}>#{{s[0]["Index"]}} - <b>{{ s[0]["Name"] }}</b>
{%- for e in he[s[0]["Index"]]|default([]) %}
    <object>&nbsp;<a href="{{ e[2] }}" {%- if e[1] %} class="{{ e[1] }}"{% endif %}>EFF {{ e[0] }}</a></object>
{%- endfor %}
</a>{%- endif %}{%- endfor %}
</div>
{%- endmacro %}
{%- macro scripts(lst, he) %}
    {{ scripts_range(lst[500:1600], he, 'Move Scripts') }}
    {{ scripts_range(lst[0:40], he, 'Standard Scripts') }}
    {{ scripts_range(lst[40:120], he, 'Guard Scripts') }}
    {{ scripts_range(lst[120:500], he, 'Hit Scripts') }}
    {{ scripts_range(lst[1600:1800], he, 'Round Transitions') }}
    {{ scripts_range(lst[1800:2000], he, 'Misc Scripts') }}
{%- endmacro %}
    <h2>
        Scripts
    </h2>
    {{ scripts(script_list["Normal"], effects["Normal"]) }}
    {%- if "Alternate" in script_list %}
    <h2>
        Alternate Script Set
    </h2>
    {{ scripts(script_list["Alternate"], effects["Alternate"]) }}
    {%- endif %}
    {%- if "Projectiles" in script_list %}
    <h2>
        Projectiles Script Set
    </h2>
        {{ scripts_range(script_list["Projectiles"], effects["Projectiles"]) }}
    {%- endif %}
    <h2>Cancel Lists</h2>
    {%- for cl in cancel_lists %}
        <div class="row cancel-list {{ cl[2][0] }}">
            <h4>{{ cl[0] }}</h4>
            <div>
                {%- for move, diff_class, link in cl[1] %}
                <a href="{{ link }}"{% if diff_class %} class="{{ diff_class[0] }}"{% if diff_class[0] == 'changed' %} data-toggle='tooltip' data-placement='top' title='was {{ diff_class[1]['old_value'] }}'{% endif %}{% endif %}><b>{{ move }}</b></a>
                {%- endfor %}
            </div>
            {%- if cl[3] %}<hr/>
            <h4>Used in: </h4>
            <div>
                {%- for script, link, diff_class in cl[3] %}
                <a href="{{ link }}"{% if diff_class %} class="{{ diff_class[0] }}"{% endif %}>#{{script["Index"]}} - <b>{{ script["Name"] }}</b></a>
                {%- endfor %}
            </div>
            {%- endif %}
        </div>
    {%- endfor %}
</div>
<script>
    $(".unknown").hide();
    $('[data-toggle="tooltip"]').tooltip({container: 'body'});
</script>
{%- include "footer.html" %}